%define		pname	PyOpenAL
Summary:	Binding of OpenAL for Python
Summary(pl.UTF-8):	Interfejs OpenAL dla Pythona
Name:		python-%{pname}
Version:	0.1.6
Release:	8
License:	LGPL
Group:		Development/Languages/Python
Source0:	http://download.gna.org/pyopenal/%{pname}-%{version}.tar.gz
# Source0-md5:	51992fc62df474614ea6eb724061f392
URL:		http://home.gna.org/oomadness/en/pyopenal/
BuildRequires:	rpmbuild(macros) >= 1.710
BuildRequires:	OpenAL-devel
BuildRequires:	freealut-devel
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpm-pythonprov
Requires:	python-pyvorbis
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Binding of OpenAL for Python.

%description -l pl.UTF-8
Interfejs OpenAL dla Pythona.

%prep
%setup -q -n %{pname}-%{version}

%install
rm -rf $RPM_BUILD_ROOT

%py_install

rm -f $RPM_BUILD_ROOT%{py_sitedir}/pyopenal/*.py

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGES README
%attr(755,root,root) %{py_sitedir}/*.so
%{py_sitedir}/pyopenal
%{py_sitedir}/*.egg-info
%changelog
* Mon Nov 30 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-PyOpenAL.git;a=log;h=master

* Mon Nov 30 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> b2bab0a
- release 8 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> ffbb1b8
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 4fffbd2
- release 7 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> bb3e50f
- automatic change: use py_build/py_install macros

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> d9bfd24
- release 6

* Tue Aug 18 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 13eb1a8
- release 5

* Fri Aug 14 2009 arvenil <arvenil@pld-linux.org> b01c0a8
- release 4 (rebuild with OpenAL)

* Wed Aug 12 2009 arvenil <arvenil@pld-linux.org> 7eb6e1a
- BR: rpm-pythonprov
- BR: freealut-devel

* Tue Mar 24 2009 lisu <lisu@pld-linux.org> 5ad79e4
- rel 3

* Tue Mar 24 2009 lisu <lisu@pld-linux.org> 8e3dbf3
- optimisation
- add .egg-info (python-devel >= 1:2.5)

* Wed Dec 24 2008 lisu <lisu@pld-linux.org> 97a5424
- better URL

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 9265010
- release 2

* Wed Dec 12 2007 lisu <lisu@pld-linux.org> ccd6825
- use pname in Name

* Thu Jul 05 2007 lisu <lisu@pld-linux.org> 8bc1670
- direct URL

* Sun Jun 24 2007 lisu <lisu@pld-linux.org> 0f48471
- obsolete

* Sun Jun 24 2007 lisu <lisu@pld-linux.org> d5c1406
- 0.1.6
- python-PyOpenAL-build.patch no needed

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 4b5cbc0
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ee22da6
- converted to UTF-8

* Tue Feb 28 2006 Elan Ruusamäe <glen@pld-linux.org> 8df2fc0
- adapterized (killed trailing spaces/tabs)

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 2df2f80
- formatting

